Aspirerelease/17.0
Watch Aspire live streamsDocsTry Aspire

WithTransformQueryRouteValue

Method
📦 Aspire.Hosting.Yarp v17.0.0
func (YarpRoute) WithTransformQueryRouteValue(
queryKey string,
routeValueKey string,
options ...*WithTransformQueryRouteValueOptions,
) YarpRoute

Signature

methodWithTransformQueryRouteValue
Adds the transform that will append or set the query parameter from a route value.
WithTransformQueryRouteValue(
queryKey string,
routeValueKey string,
options ...*WithTransformQueryRouteValueOptions,
) YarpRoute
queryKeystring
routeValueKeystring
options...*WithTransformQueryRouteValueOptionsOptional settings, described under Options.

Optional parameters are passed in a trailing options ...*WithTransformQueryRouteValueOptions argument.

Append*bool
YarpRoute

Returns a handle; failures surface later via Err().

Applies to

This method applies to the following types: